/*
 * winmain.c
 *
 * Copyright (c) 1994 Software Research Associates, Inc.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Software Research Associates not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  Software Research
 * Associates makes no representations about the suitability of this software
 * for any purpose.  It is provided "as is" without express or implied
 * warranty.
 */

#include <windows.h>
#include "twin.h"
#include <setjmp.h>

jmp_buf env;

extern int __argc;
extern char **__argv; 

extern int FAR PASCAL TkMain(int, char **);

int PASCAL 
WinMain(HANDLE hInstance, HANDLE hPrevInstance, LPSTR lll, int nCmdShow)
{
    HWND hTerm;
    WPARAM result;

    if(hPrevInstance) return 1;
    SetAppInst(hInstance);
    SetMessageQueue(64);
    
    hTerm = CreateTerminal(hInstance);  
    SetHomeWnd(hTerm);
    ShowWindow(hTerm, SW_MINIMIZE);
    UpdateWindow(hTerm);
    if (result = setjmp(env)) {
        return result - 1;    
    }
    SetJmpBuf(env);
    result = TkMain(__argc, __argv);
    return result;
}

