/*
 * instance.c --
 *
 * Copyright (c) 1994 Software Research Associates, Inc.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Software Research Associates not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  Software Research
 * Associates makes no representations about the suitability of this software
 * for any purpose.  It is provided "as is" without express or implied
 * warranty.
 */
 
#include "twinint.h"
#include <setjmp.h>
#include <string.h>

static HINSTANCE hAppInst;
static HINSTANCE hXlibInst;
static HWND hTBwnd;
static jmp_buf jbEnv;

HTASK mytask;
void FAR PASCAL
SetAppInst(HINSTANCE hInstance)
{
    mytask = GetCurrentTask();
    hAppInst = hInstance;
}
	
HINSTANCE FAR PASCAL
GetAppInst(void)
{
     return hAppInst;
}

void FAR PASCAL
SetXlibInst(HINSTANCE hInstance)
{
    hXlibInst = hInstance;
}
	
HINSTANCE FAR PASCAL
GetXlibInst(void)
{
     return hXlibInst;
}

void FAR PASCAL
SetHomeWnd(HWND hwnd)
{
    hTBwnd = hwnd;
}

HWND FAR PASCAL
GetHomeWnd(void)
{
    return hTBwnd;
}

void FAR PASCAL
SetJmpBuf(jmp_buf env)
{
    memcpy(jbEnv, env, sizeof(jmp_buf));
}

jmp_buf * FAR PASCAL
GetJmpBuf(void)
{
    return &jbEnv;
}    

void FAR PASCAL
DestroyTerm(void)
{
    DestroyWindow(hTBwnd);
}

