/*
 * xatom.c --
 *
 * Copyright (c) 1994,1995 Software Research Associates, Inc.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Software Research Associates not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  Software Research
 * Associates makes no representations about the suitability of this software
 * for any purpose.  It is provided "as is" without express or implied
 * warranty.
 */
 
#include <twinint.h>
#include <stdlib.h>
#include <string.h>

Atom FAR PASCAL
XInternAtom(Display FAR * dummy, LPCSTR lpszName, Bool exists)
{
    Atom atom;
    if (exists == True) {
	return  GlobalFindAtom(lpszName);
    } else {
	if ((atom = GlobalFindAtom(lpszName)) != 0) {
	    return atom;
	} else {
	    return GlobalAddAtom(lpszName);
	}
    }
}

char * FAR PASCAL
XGetAtomName(Display FAR * dummy, Atom atom)
{
    char szBuf[256];
    LPSTR lpszName;
    int len;

    len = (int) GlobalGetAtomName(atom, szBuf, sizeof(szBuf));
    if ((lpszName = malloc(len + 1)) == NULL) {
    	return NULL;
    } else {
    	_fstrcpy(lpszName, szBuf);
    }
    return lpszName;
}
